import React__default from 'react';
import { C as Card } from './Card-es.js';
import { C as Content } from './Content-es.js';
import { E as Emphasis } from './Emphasis-es.js';

function DataDump({ label = "Raw Data", defaultOpen = false, data, }) {
    return (React__default.createElement(Card, { accent: "yellow" },
        React__default.createElement(Content, null,
            React__default.createElement("details", { open: defaultOpen },
                React__default.createElement("summary", null,
                    React__default.createElement(Emphasis, { variation: "bold" }, label)),
                React__default.createElement("pre", null, JSON.stringify(data, undefined, 2))))));
}

export { DataDump as D };
